<?php
/**
 * @filesource: scatter_combined.php
 * @author:     Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright:  Copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license:    GNU/GPL
 * @version:    0.1
 * @abstract:   sample to show use of php-helper classes for php_RGraph package
 *
 */
include_once "environment.php";
use phpRGraph\rgraph_chart;
use phpRGraph\rgraph_options;
include_once $utility;

// rgraph charts
$template = "combine_two.php";

$id = "cvs";
$draw_option = "draw();";
$width = "700";
$height = "350";

$data = array(4,8,6,3,2,4,-5,-4,5,6,-1,-9,1,2,-3,-5,-7,-4,-2,-2,6,2,3,4,
        4,8,6,2,3,5,1,4,9,5,6,4,3,8,7,5,6,4,5,1,2,3,4,6);

// setup chart1
$chart1 = new rgraph_chart("cvs", $data, "Line");

//$chart1->set_data($data);

$options1 = new rgraph_options("demo.ini");
$options1->set_option("title", "Line Chart using Clip Option");
$options1->set_option("colors", array('red'));
$options1->set_option('filledColors', array('rgba(255,128,128,0.25)') );
$options1->set_option('clip', 'tophalf');


$chart1->set_options($options1);
$chart1_json = $chart1->toPrettyString();

$event1_script = "";
$chart1_script = "";

// chart2 caculated Regression line
$chart2 = new rgraph_chart("cvs", $data, "Line");


$options2 = new rgraph_options("demo.ini");
$options2->set_option("colors", array('blue'));
$options2->set_option('filledColors', array('rgba(128,128,255,0.25)') );
$options2->set_option('clip', 'bottomhalf');


$chart2->set_options($options2);
$chart2_json = $chart2->toString();

$event2_script = "";
$chart2_script = "";

include_once ($templates . $template);

?>



