<?php
/**
 * @filesource: line_url.php
 * @author:     Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright:  Copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license:    GNU/GPL
 * @version:    0.1
 * @abstract:   sample to show use of php-helper classes for php_RGraph package
 *
 */
include_once "environment.php";
use phpRGraph\rgraph_chart;
use phpRGraph\rgraph_options;

// rgraph chart
$template = "default.php";
$draw_option = "draw();";
$width = "500";
$height = "220";

$url = "http://" . $_SERVER['SERVER_NAME'] . "/php-apps/jsweather/get_tempData.php?lang=en";

$chart = new rgraph_chart("cvs", null, "Line");
$url_data = $chart->getDataFromUrl($url);
$chart->set_data($url_data['data']);

$options = new rgraph_options("line.ini");
$options->set_option("title", "Temperature between 9:00 and 15:00 o'clock");

if ( min($url_data['data'][0]) < '0' || min($url_data['data'][1]) < '0')
   $options->set_option("yaxisScaleMin",  min( array(min($url_data['data'][0]), min($url_data['data'][1]) ))-1);

$options->set_option("yaxisScaleMax",  max( array(max($url_data['data'][0]), max($url_data['data'][1]) )) +1);
//$options->set_option("xaxisPosition", "center");
$options->set_option("key", array("9:00 o'clock","15:00 o'clock"));
$options->set_option("keyInteractive", true);
$options->set_option("keyPositionX", 410);
$options->set_option("keyPositionY", 10);
$labels = $url_data['labels'];
$options->set_option("xaxisLabels", $labels);
$options->set_option("yaxisScaleUnitsPost", "°C");
$options->set_option("filledRange", true);
$options->set_option("filled", true);
$options->set_option("filledColors", array($options->setOpacity("#00BFFF",0.3)));

$options->set_option("xaxisLabels", $labels);
$options->set_tooltip_formatted($chart->get_data(), "<b>#key#</b><br>#label#: #val# °C", "Line");

$chart->set_options($options);
$rgraph_json = $chart->toString();

$chart_script = "";
$event_script = "";

include_once ($templates . $template);
?>



