<?php
/**
 * @filesource  rose.php
 * @author      Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright   Copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license     GNU/GPL
 * @version     0.1
 * @abstract    sample to show use of php-helper classes for php_RGraph package
 *
 */
include_once "environment.php";
use phpRGraph\rgraph_chart;
use phpRGraph\rgraph_options;

// rgraph chart
$template = "default.php";
$width = "600";
$height = "350";
$draw_option = "grow();";
$data = array(
        array(4,8,7),array(6,5,8),array(4,5,3),
        array(4,9,8),array(3,8,6),array(4,6,3),array(1,5,8));
$labels = array('Monday','Tuesday','Wednesday','Thursday','Friday','Saturday','Sunday');

$chart = new rgraph_chart("cvs", $data, "Rose");

$options = new rgraph_options("default.ini");
$options->set_option("title", "A 3D Rose chart with Tooltips");
$options->set_option("labels",$labels);
$options->set_option("titleY",15);
$options->set_option("colors", array('gradient(#faa:red)','Gradient(#afa:green)','gradient(#aaf:#ddf)'));
$options->set_option("margin", 7);
$options->set_option("variant", 'stacked3d');
$options->set_option("variantThreedDepth", 10);
$options->set_option("labelsAxes", 'n');

$options->set_tooltip($data, "#label# #val#");
$options->set_option("tooltipsEvent", "onmousemove");
$chart->set_options($options);
$rgraph_json = $chart->toString();

$chart_script = "";
$event_script = "";

include_once ($templates . $template);
?>



