<?php
/**
 * @filesource", hbar_progressive.php
 * @author",     Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright",  Copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license",    GNU/GPL
 * @version",    0.1
 * @abstract",   sample to show use of php-helper classes for php_RGraph package
 *
 */
include_once "environment.php";
use phpRGraph\rgraph_chart;
use phpRGraph\rgraph_options;

// rgraph chart
$template = "default.php";
$width = "500";
$height = "350";
$draw_option = "grow({frames: 90})";

$chart = new rgraph_chart("cvs", null, "SemiCircularProgress");
$chart->set_min(0);
$chart->set_max(100);
$chart->set_value(65);

$options = new rgraph_options();
$options->set_option("title", "A basic Semi-circular Progress chart");
$options->set_option("labelsCenterUnitsPost","%");

$chart->set_options($options);
$rgraph_json = $chart->toString();

$chart_script = "";
$event_script = "";

include_once ($templates . $template);
?>



